DeleteMembership - AWS Security Agent

DeleteMembership

Deletes a membership, revoking a user's access to an agent space.

Request Syntax

POST /DeleteMembership HTTP/1.1 Content-type: application/json { "agentSpaceId": "string", "applicationId": "string", "membershipId": "string", "memberType": "string" }

URI Request Parameters

The request does not use any URI parameters.

Request Body

The request accepts the following data in JSON format.

agentSpaceId

The unique identifier of the agent space to revoke access from.

Type: String

Required: Yes

applicationId

The unique identifier of the application that contains the agent space.

Type: String

Required: Yes

membershipId

The unique identifier of the membership to delete.

Type: String

Required: Yes

memberType

The type of member to remove.

Type: String

Valid Values: USER

Required: No

Response Syntax

HTTP/1.1 200

Response Elements

If the action is successful, the service sends back an HTTP 200 response with an empty HTTP body.

Errors

For information about the errors that are common to all actions, see Common Error Types.

See Also

For more information about using this API in one of the language-specific AWS SDKs, see the following: